auth.v1.SubaccountService
UpdateSubaccountMemberRole
Update an existing sub-account member's role (owner/admin only).
Method
POST
Path
auth.v1.SubaccountService/UpdateSubaccountMemberRole
Service
auth.v1.SubaccountService
Visibility
Authentication
Session token
MFA Requirement
POST
auth.v1.SubaccountService/UpdateSubaccountMemberRole Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/auth.v1.SubaccountService/UpdateSubaccountMemberRole' \
--header 'Content-Type: application/json' \
--header 'Connect-Protocol-Version: 1' \
--data '{
"granteeAccountId": "7563897446546",
"role": "VIEWER",
"subaccountId": "6789012345678"
}'Responses
{}Request
auth.v1.UpdateSubaccountMemberRoleRequestResponse
auth.v1.UpdateSubaccountMemberRoleResponse subaccountId string (fixed64)
Sub-account to modify (opaque ID).
granteeAccountId string (fixed64)
Root account ID of the member whose role should be updated (opaque ID).
role enum
New role to assign.
No response fields documented for this type.
| Key | HTTP status | Connect code | Error | When |
|---|---|---|---|---|
| unauthenticated | 401 | unauthenticated | Unauthenticated | Authentication required. |
| permission-denied | 403 | permission_denied | Permission Denied | Permission denied. |
| invalid-argument | 400 | invalid_argument | Invalid Argument | Invalid argument. |
| not-found | 404 | not_found | Not Found | Not found. |
| unavailable | 503 | unavailable | Unavailable | Service unavailable. |